<?php

function turno($bodega,$usuarioT=0){



$connnn=new conexion();
$conectarrr=$connnn->conectar();

$numfact= $conectarrr->query("SELECT * FROM `empresa` where `bodegaEm`=$bodega"); 
$numfactura=mysqli_fetch_object($numfact);
$turno=$numfactura->turno;

$GLOBALS["valorMaximoTurnoBodega"]=$numfactura->valorMaximoTurnoBodega;

$GLOBALS["turno"]=$turno;


$_SESSION["TurnoActual"]=$turno;



}

function validarturnoFacturacion($bodega){

$connnn=new conexion();
$conectarrr=$connnn->conectar();
$numfact= $conectarrr->query("SELECT * FROM `empresa` where `bodegaEm`=$bodega"); 
$numfactura=mysqli_fetch_object($numfact);
$turnoestado=$numfactura->estadoTurno;
if($turnoestado=="c"){
    $dat=["respueta"=>"Deber Inicia el nuevo Turno ","produc"=>""];
    echo(json_encode($dat));
    die;

}
}

function validadturnosentradas($bodega){

$connnn=new conexion();
$conectarrr=$connnn->conectar();
$numfact= $conectarrr->query("SELECT * FROM `empresa` where `bodegaEm`=$bodega"); 
$numfactura=mysqli_fetch_object($numfact);
$turnoestado=$numfactura->estadoTurno;
if($turnoestado=="c"){
    $dat=["res"=>"no","mensa"=>"Deber Inicia el nuevo Turno"];
   
    echo(json_encode($dat));
    die;

}
   
}

function validadturnogastos($bodega){

    $connnn=new conexion();
    $conectarrr=$connnn->conectar();
    $numfact= $conectarrr->query("SELECT * FROM `empresa` where `bodegaEm`=$bodega"); 
    $numfactura=mysqli_fetch_object($numfact);
    $turnoestado=$numfactura->estadoTurno;
    if($turnoestado=="c"){
        echo("Deber Inicia el nuevo Turno");
        die;
    
    }
       
    }

    function validadturnosdeviolucion($bodega){

        $connnn=new conexion();
        $conectarrr=$connnn->conectar();
        $numfact= $conectarrr->query("SELECT * FROM `empresa` where `bodegaEm`=$bodega"); 
        $numfactura=mysqli_fetch_object($numfact);
        $turnoestado=$numfactura->estadoTurno;
        if($turnoestado=="c"){
           
            $res=["resp"=>"Deber Inicia el nuevo Turno","estado"=>"no"];
             
          
            echo(json_encode($res));
           
            die;
        
        }
           
        }
        

?>